Subject: Re: [babel] No experimental range in the AE registry

From: Donald Eastlake <[email-masked]>
Date: Wed, 5 Aug 2020 10:37:47 -0400

Hi,

There were no objections to changing the IANA Considerations for AE
values to include an Experimental range as discussed a while ago.

We have consulted with the Area Director for Babel and we plan to go
ahead and make this change along with designating the value 255 as
"Reserved".  Because of the turnover in IESG members, it is also
planned to schedule the draft for another IESG telechat to get more
Area Director positions on the draft. So you will probably see some
Comments or the like from them come by in a while.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

On Sat, Mar 14, 2020 at 12:45 PM Donald Eastlake <[email-masked]> wrote:
>
> Hi Juliusz,
>
> On Sat, Mar 14, 2020 at 9:38 AM Juliusz Chroboczek <[email-masked]> wrote:
> >
> > Hi Donald,
> >
> > > We could  have use the early allocation procedures in RFC 7120 to allocate AE
> > > codepoints except that rfc6126bis does not set up an IANA registry to those
> > > codepoints.
> >
> > Yes it does.  Please see Section 5 of rfc6126bis:
> >
> >    IANA is instructed to create a registry called "Babel Address
> >    Encodings".  The allocation policy for this registry is Specification
> >    Required.  The values in this registry are as follows:
> >
> >              +----+-------------------------+---------------+
> >              | AE | Name                    | Reference     |
> >              +----+-------------------------+---------------+
> >              | 0  | Wildcard address        | this document |
> >              |    |                         |               |
> >              | 1  | IPv4 address            | this document |
> >              |    |                         |               |
> >              | 2  | IPv6 address            | this document |
> >              |    |                         |               |
> >              | 3  | Link-local IPv6 address | this document |
> >              +----+-------------------------+---------------+
>
> Sorry, I was confused. The rfc6126bis draft takes effect on being move
> to the RFC Editor by the managing AD, Martin Vigoureux in this case,
> which certifies that it has been approved by the IESG. At that point,
> the AE registry would be added to the IANA Babel web page.
>
> > What we're suggesting is to add the following entries to that table:
> >
> >     4-223 -- Unassigned
> >     224-254 -- Reserved for Experimental Use
> >     255 -- Unassigned
>
> So, looking t the proposed AE registry in rfc6126bis, I'm surprised it
> got through without some reviewer at some level (I missed this also)
> complaining that it has no explicit "reserved" value (should probably
> be 255) and didn't have a "4-255 unassigned" line although adding such
> an unassigned line is the sort of thing commonly done by IANA and the
> RFC Editor after draft approval as it is implied by the draft anyway.
>
> > What I'm asking is -- should we do it now, in the next revision of the
> > draft, or should we merely establish WG consensus now, with a view to
> > amending the IANA registry after the RFC is published.
>
> I think that as this point we should not make changes in rfc6126bis
> that are not needed to get it through the IESG. Just put the revised
> registry in the Babel IPv4 over IPv6 draft and for now just use AE=4
> if an AE value is needed
>
> Note that, since the AE value assignment criteria is Specification
> Required, if rfc6126bis were through the IESG and the IANA Babel AE
> registry existed, then as soon as there was a complete Babel IPv4 over
> IPv6 draft, even a personal draft before WG adoption, an AE value
> could be assigned based on that IPv4 over IPv6 draft as the
> specification. (There is a slight complication that an expert
> determination that the specification is adequate for interoperability
> is needed for Specification Required which might cause a little
> delay.)
>
> > -- Juliusz
>
> Thanks,
> Donald
> =============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  2386 Panoramic Circle, Apopka, FL 33896 USA
>  [email-masked]